<?php 

require 'FlexPay.php'; // Import the FlexPay library

// This script generates the status URL given the signature key and input parameters

// Generate the FlexPay status URL
$result = FlexPay::get_status_URL(FlexPay::SIGNATURE_KEY, $_GET);

// Check for errors
if (preg_match("/^ERROR/", $result)) {       // On failure, display the error message (optional)
    print "$result";
} else {
    print "<a href=\"$result\">$result</a>"; // On success, display the generated URL as a link
}

?>
